h11395
s 00050/00000/00000
d D 1.1 83/03/23 16:18:55 bog 1 0
c date and time created 83/03/23 16:18:55 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmOBs ()					    #
#		    Display a Backspace					    #
#									    #
#	Called By:							    #
#		Subroutine EmCntl (Ch)					    #
#			Input	Ch:	Character in [NUL..US]		    #
#		    Emulate all control characters.  LCE may be set.	    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmOBs
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(DRIVER)
ENDCOMMON
 
X = X-XCh
 
If (NOT(Margn2)) {
    If (X < 0) {
	X = X+XMarg2+XMarg2
	}
    }
Else {
    If (X < XMarg2) {
	X = X+XMarg2
	Mr2Wrp = NOT(Mr2Wrp)
	}
    }
 
MOVE(X,Y)
 
Return
End
E 1
